Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations
GETAuto-Scaling Group OperationsSince 3.1.0SynchronousAuth Required

QueryAutoScalingGroupActivity

QueryAutoScalingGroupActivity

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • scalingGroupUuidStringRequired

      The UUID of the auto scaling group.

    • activityActionStringRequired

      The type of the auto scaling activity.

    • scalingGroupRuleUuidStringRequired

      The UUID of the auto scaling rule.

    • causeStringRequired

      The reason that triggered the auto scaling activity.

    • descriptionStringRequired

      The detailed description of the auto scaling activity.

    • statusStringRequired

      The status of the auto scaling activity.

    • activityActionResultMessageStringRequired

      The result of the auto scaling activity.

    • endDateTimestampRequired

      The date and time when the auto scaling activity ends.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/autoscaling/groups/activities

/zstack/v1/autoscaling/groups/activities

Operation ID

QueryAutoScalingGroupActivity

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/autoscaling/groups/activities' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "036f189a51633ec5bfa2f7e77ec1f5ac", "description": "just for test", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history